HINO Bugs - Bug #2323

[HR-Payroll]Nilai iuran bpjs kesehatan pada employee jika ada kenaikan gaji di tengah bulan,
seharusnya nilai iuran bpjs kesehatan mengambil base dari gaji pokok yang terakhir

09/13/2023 11:20 AM - Muhammad Bintar

Status: Closed Start date: 09/13/2023
Priority: Urgent Due date: 09/15/2023
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

dear tim developer mohon support nya untuk perbaikan pada nilai iuran bpjs kesehatan dimana pada saat employee mendapat
kenaikan gaji di tengah bulan, seharusnya iuran bpjs nya mengambil gaji pokok yang terakhir tersebut.

remote.minovais.com:31120
database sql server 2019

remote.minovais.com, 1458

History

#1 - 09/13/2023 11:20 AM - Muhammad Bintar

- Subject changed from [HR-Payroll]Nilai rapel pada employee jika ada kenaikan gaji di tengah bulan, seharusnya nilai iuran bpjs kesehatan
mengambil base dari gaji pokok yang terakhir to [HR-Payroll]Nilai iuran bpjs kesehatan pada employee jika ada kenaikan gaji di tengah bulan,
seharusnya nilai iuran bpjs kesehatan mengambil base dari gaji pokok yang terakhir

#2 - 09/13/2023 03:07 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

jadi mksdnya jika ada kenaikan gaji di tengah bulan dan prorate maka tetap harus di cek supaya tidak melebihi batas maksimalnya perhitungan
BPJS.
Tks

#3 - 09/13/2023 03:15 PM - Kezia Pawitra Yulianti

dan tidak terhitung prorate untuk bpjs kesehatan biarpun dr sisi payroll ada prorate atas kenaikan gaji itu.
jd yg dilihat adalah gaji pokok yg baru dgn tetep membaca batas maksimalnya supaya tidak melebihi
Tks

#4 - 09/14/2023 10:46 AM - Muhammad Bintar
- File clipboard-202309141042-mrhxf.png added

update :
berikut contoh nya pada employee 00000036
ada kenaikan gaji di tanggal 18 agustus ini
Home e Payroll Data

y Workplace
isiness Intelligence Employee Overview - 00000036 - Tjhie Julius
aman Resource Employee ID: 00000036 Company ID: PT HINO Finance Indonesia
» HR Administration Full Name: Tjhie Julius Employee Office: KC Kelapa Gading
[ organization Ma... Employee Status: Active Organization: Sales JKT
* =5 Employee Admin... Employee Type: Permanent Position: sales Head

] Employee Mo...
7] Employee Ma... Master Data Reguler Payroll - 00000036 - Tjhie Julius

&> Upload Photo Payroll Basic Data Action ¥

@ Import Emplo... Reguler Payroll
Start Date End Date Wage Type Numb... = Amou.. Currency
@ Export Emplo... Additional Payroll

09/03/2015  31/12/9999  1001-Communication Allowance  1.00000 450.000 Rp

Flag

Direct

A
Indra ~1
S

Clear Filters

Overwrite | Noteg

[ Delete Emplo... Payroll Benefit

18/08/2023  31/12/9999  1000-Basic Salary 1.00000 11.497.000 Rp
(%) Mass File Imp...

Direct

. 01/04/2021 31/12/9999 1007-Additional Allowance 1.00000 50.000 Rp
» [ Employee Re...

Direct

. 01/01/2023 17/08/2023 1000-Basic Salary 1.00000 10.569.750 Rp
[*7 Time Management

Direct

- - 01/08/2022  31/12/2022  1000-Basic Salary 1.00000 10.016.152 Rp
"1 Travel Manasem.

ini hasil payroll result nya. tapi di basic salary nya tidak sesuai dimana terlihat 10,988,000 tetapi di payroll data 11,497,000

#5 - 09/15/2023 05:45 PM - Tri Rizqiaty

- File Penambahn field No Prorate di BENCAL.xlIsx added

- File PHRPYBASEWTBENEFIT_NOPROTATE_202309150915.sql added
- File MinovalS.MinovaES.Business.PY.dll added

- File clipboard-202309151745-I13meu.png added

- Status changed from Assigned to Developing

Fixing :

1. Update folder API12\bin : MinovalS.MinovaES.Business.PY.dll
2. Execute SP PHRPYBASEWTBENEFIT_NOPROTATE.sq|l

3. Add field "NoProrate" di table fisik PHRPYBENCAL

4. Add field di table2 sesuai excel terlampir

5. Update isi field "NoProrate" di table PHRPYBENCAL menjadi 1 untuk bpjs yang basenya tidak ingin diprorate
Ohbject Explorer d

Direct

-

Connect = ﬁ "ﬁ [ c, e inType MinValue Motes CreateBy CreateDate ChangeBy ChangeDate HeaderReport Reunding MNoProrate
Graph Tebles % BRISP £D 20160101010101  ED 20171017135456  BPJSP U NULL
= FA dbo.PHRPYBENCAL BPISP ) 20160101010101  ED 0171017135456 BPISP U NULL

& 4 Columns BRISP 1) 20160101010101  ED 2017017143214 BPISP u NULL
% ;a:[zat‘:('(}P:v‘:’c;:arzg?'n"ﬂ‘ztn"u‘l‘l')” BRISP ) 2016011010101 ED 20171017143214  BRISP U NULL
v BencfiType (PK, varchar(d), not null BRISP £D 2016010100101 ED 2071017143214 BRJSP U NULL
o BenefitLevel (PK. varchar(4), not null) NULL NULL 2] 20160101010101  ED 2017101713526 U NULL
e Sequence (PK, int, not null) NULL NULL ) 20160101010101  ED 20171017135456 u NULL
g EmployerPercentage (decimal(18,2), null) UMP BRISK 1) 20160101010101  ED 20171017135539  BPISK u NULL
E ;:‘sz‘\;‘;;;;::?:rgceh(adr;“]"ﬁlﬂ3'2]‘ nlt ump BRISK ED 2016011010001 ED 0171017143214 BPISK u
B ErmplojeiVagelype (rarchaitd), il uMp BPISK ) 20160101010101  ED 0171017135456 BPISK u
8 EmployeeWageType (varchar(4), null) ump BPJSK ED 20160101010101  ED 20171017135456  BRISK u
B MaxType (varchar(10), null) BRISP ED 20160101010101  ED 20171017143214  BPISP u
E :T:::;‘;eﬁ::c’::f(’f;?n ::;D BRISP D 2016001010701 ED 2017117143214 BPISP u
B MinValue tvarchar(10), nuil HT 2] 20160101010101  ED 2017017143214 Jamsostek U NULL
5 Notes (varchar(500), null KK 1) 20160101010101  ED 20171017135456  Jamsostek u NULL
B CresteBy jvarchar(18), null KM ED 20160101010101  ED 2071017143214 Jamsostek u NULL
8 CresteDate (varchar(14), null HT £D 2016010100001 ED 2071017143214 Jamsostek U NULL
E g:::::ﬁ‘;g?\::‘:;gﬁ;”;gln IKK ) 20160101010101  ED 0171017135456 Jamsostek U NULL
B HeaderReport (varchar(100), null KM 21) 20160101010101  ED 2011017143214 Jsmsostek u NULL
B Rounding (varchar(1), null) 2017101713556 u NULL
B NoProrate (varchar(20), null) e penambahan field NoProrate ditable PHRPYBENCAL ———— i ki
P BPISP W D 0171017135456 BPISP U NULL
- ;::;;th; BRISP 1) 20160101010101  ED 20171017135456  BPJSP u NULL
o m NULL NULL NULL NULL NULL NULL NULL NULL NULL
Statistics &

< >

Notes : jangan lupa yang lama diback up dulu ya
#6 - 09/15/2023 05:46 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqgiaty to Muhammad Bintar

#7 - 10/21/2024 10:41 AM - Muhammad Bintar
- Status changed from QA Test to Closed
